Subject: Re: bug#19194: 24.4.50; `window-body-width' is not dynamic relative to font size changes

From: Joe Corneli <[email-masked]>
Date: Sat, 20 Dec 2014 11:52:21 +0000

On Sat, Dec 20 2014, martin rudalics wrote:

>  > Now done on trunk.
>
> Thank you.
>
> Mr. Corneli: How about a doc-string that goes as follows?

The one thing I'd add is an explanation of how "character width" is
found or computed for variable-width fonts.  (E.g. is it the width of an
"M"?)

> If the optional argument PIXELWISE is nil, return the largest integer
> smaller than WINDOW's pixel width divided by the character width of
> WINDOW's frame.  If PIXELWISE is the symbol `window', return the largest
> integer smaller than WINDOW's pixel width divided by the character width
> of WINDOW.  In either of these cases, if a column at the right of the
> text area is only partially visible, that column is not counted.
>
> PIXELWISE t means return the exact width of the text area in pixels.
> Other values of PIXELWISE are reserved for future use.